summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJohn Klug <john.klug@multitech.com>2017-03-28 15:05:23 -0500
committerJohn Klug <john.klug@multitech.com>2017-03-28 15:05:23 -0500
commita433a3a79ed48a2a4e0037ffc9b451619124ab7b (patch)
treeae32c1fda9aebede1b64e88c6e3aea6db806dcf2
parentf4f803d9bdab9aece5b101496cad97710f920246 (diff)
downloadmlinux-a433a3a79ed48a2a4e0037ffc9b451619124ab7b.tar.gz
mlinux-a433a3a79ed48a2a4e0037ffc9b451619124ab7b.tar.bz2
mlinux-a433a3a79ed48a2a4e0037ffc9b451619124ab7b.zip
Fix syntax error deleting possible pre-existing password
-rwxr-xr-xsetup.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/setup.sh b/setup.sh
index 9e6efb3..71dab11 100755
--- a/setup.sh
+++ b/setup.sh
@@ -58,7 +58,7 @@ if [ "$1" != "--update" ]; then
echo "ROOT_PASSWORD = \"$pass\"" >password.txt
echo "HASH = \"$hash\"" >>password.txt
echo "ROOT_PASSWORD_HASH = \"$hash\"" >>conf/local.conf
- sed -ri "d/ROOT_PASSWORD[[:space:]]=/" conf/local.conf || true
+ sed -ri "/ROOT_PASSWORD[[:space:]]=/d" conf/local.conf || true
echo "ROOT_PASSWORD = \"$pass\"" >>conf/local.conf
fi